Index: /extensions/PwgCarbon_dft/js/jquery.columnizer.js
===================================================================
--- /extensions/PwgCarbon_dft/js/jquery.columnizer.js	(revision 25994)
+++ /extensions/PwgCarbon_dft/js/jquery.columnizer.js	(revision 25994)
@@ -0,0 +1,639 @@
+// version 1.6.0
+// http://welcome.totheinter.net/columnizer-jquery-plugin/
+// created by: Adam Wulf @adamwulf, adam.wulf@gmail.com
+
+(function($){
+
+ $.fn.columnize = function(options) {
+
+
+	var defaults = {
+		// default width of columns
+		width: 400,
+		// optional # of columns instead of width
+		columns : false,
+		// true to build columns once regardless of window resize
+		// false to rebuild when content box changes bounds
+		buildOnce : false,
+		// an object with options if the text should overflow
+		// it's container if it can't fit within a specified height
+		overflow : false,
+		// this function is called after content is columnized
+		doneFunc : function(){},
+		// if the content should be columnized into a 
+		// container node other than it's own node
+		target : false,
+		// re-columnizing when images reload might make things
+		// run slow. so flip this to true if it's causing delays
+		ignoreImageLoading : true,
+		// should columns float left or right
+		columnFloat : "left",
+		// ensure the last column is never the tallest column
+		lastNeverTallest : false,
+		// (int) the minimum number of characters to jump when splitting
+		// text nodes. smaller numbers will result in higher accuracy
+		// column widths, but will take slightly longer
+		accuracy : false,
+		// don't automatically layout columns, only use manual columnbreak
+		manualBreaks : false,
+		// previx for all the CSS classes used by this plugin
+		// default to empty string for backwards compatibility
+		cssClassPrefix : ""
+	};
+	options = $.extend(defaults, options);
+
+	if(typeof(options.width) == "string"){
+		options.width = parseInt(options.width,10);
+		if(isNaN(options.width)){
+			options.width = defaults.width;
+		}
+	}
+		
+	/**
+	 * appending a text node to a <table> will
+	 * cause a jquery crash.
+	 * so wrap all append() calls and revert to
+	 * a simple appendChild() in case it fails
+	 */
+	function appendSafe($target, $elem){
+		try{
+			$target.append($elem);
+		}catch(e){
+			$target[0].appendChild($elem[0]);
+		}
+	}
+
+    return this.each(function() {
+		var $inBox = options.target ? $(options.target) : $(this);
+		var maxHeight = $(this).height();
+		var $cache = $('<div></div>'); // this is where we'll put the real content
+		var lastWidth = 0;
+		var columnizing = false;
+		var manualBreaks = options.manualBreaks;
+		var cssClassPrefix = defaults.cssClassPrefix;
+		if(typeof(options.cssClassPrefix) == "string"){
+			cssClassPrefix = options.cssClassPrefix;
+		}
+
+
+		var adjustment = 0;
+
+		appendSafe($cache, $(this).contents().clone(true));
+
+		// images loading after dom load
+		// can screw up the column heights,
+		// so recolumnize after images load
+		if(!options.ignoreImageLoading && !options.target){
+			if(!$inBox.data("imageLoaded")){
+				$inBox.data("imageLoaded", true);
+				if($(this).find("img").length > 0){
+					// only bother if there are
+					// actually images...
+					var func = function($inBox,$cache){ return function(){
+							if(!$inBox.data("firstImageLoaded")){
+								$inBox.data("firstImageLoaded", "true");
+								appendSafe($inBox.empty(), $cache.children().clone(true));
+								$inBox.columnize(options);
+							}
+						};
+					}($(this), $cache);
+					$(this).find("img").one("load", func);
+					$(this).find("img").one("abort", func);
+					return;
+				}
+			}
+		}
+
+		$inBox.empty();
+
+		columnizeIt();
+
+		if(!options.buildOnce){
+			$(window).resize(function() {
+				if(!options.buildOnce){
+					if($inBox.data("timeout")){
+						clearTimeout($inBox.data("timeout"));
+					}
+					$inBox.data("timeout", setTimeout(columnizeIt, 200));
+				}
+			});
+		}
+
+		function prefixTheClassName(className, withDot){
+			var dot = withDot ? "." : "";
+			if(cssClassPrefix.length){
+				return dot + cssClassPrefix + "-" + className;
+			}
+			return dot + className;
+		}
+
+		/**
+		 * this fuction builds as much of a column as it can without
+		 * splitting nodes in half. If the last node in the new column
+		 * is a text node, then it will try to split that text node. otherwise
+		 * it will leave the node in $pullOutHere and return with a height
+		 * smaller than targetHeight.
+		 * 
+         * Returns a boolean on whether we did some splitting successfully at a text point
+         * (so we know we don't need to split a real element). return false if the caller should
+         * split a node if possible to end this column.
+		 *
+		 * @param putInHere, the jquery node to put elements into for the current column
+		 * @param $pullOutHere, the jquery node to pull elements out of (uncolumnized html)
+		 * @param $parentColumn, the jquery node for the currently column that's being added to
+		 * @param targetHeight, the ideal height for the column, get as close as we can to this height
+		 */
+		function columnize($putInHere, $pullOutHere, $parentColumn, targetHeight){
+			//
+			// add as many nodes to the column as we can,
+			// but stop once our height is too tall
+			while((manualBreaks || $parentColumn.height() < targetHeight) &&
+				$pullOutHere[0].childNodes.length){
+				var node = $pullOutHere[0].childNodes[0];
+				//
+				// Because we're not cloning, jquery will actually move the element"
+				// http://welcome.totheinter.net/2009/03/19/the-undocumented-life-of-jquerys-append/
+				if($(node).find(prefixTheClassName("columnbreak", true)).length){
+					//
+					// our column is on a column break, so just end here
+					return;
+				}
+				if($(node).hasClass(prefixTheClassName("columnbreak"))){
+					//
+					// our column is on a column break, so just end here
+					return;
+				}
+				appendSafe($putInHere, $(node));
+			}
+			if($putInHere[0].childNodes.length === 0) return;
+
+			// now we're too tall, so undo the last one
+			var kids = $putInHere[0].childNodes;
+			var lastKid = kids[kids.length-1];
+			$putInHere[0].removeChild(lastKid);
+			var $item = $(lastKid);
+
+			// now lets try to split that last node
+			// to fit as much of it as we can into this column
+			if($item[0].nodeType == 3){
+				// it's a text node, split it up
+				var oText = $item[0].nodeValue;
+				var counter2 = options.width / 18;
+				if(options.accuracy)
+				counter2 = options.accuracy;
+				var columnText;
+				var latestTextNode = null;
+				while($parentColumn.height() < targetHeight && oText.length){
+					//
+					// it's been brought up that this won't work for chinese
+					// or other languages that don't have the same use of whitespace
+					// as english. This will need to be updated in the future
+					// to better handle non-english languages.
+					//
+					// https://github.com/adamwulf/Columnizer-jQuery-Plugin/issues/124
+					var indexOfSpace = oText.indexOf(' ', counter2);
+					if (indexOfSpace != -1) {
+						columnText = oText.substring(0, indexOfSpace);
+					} else {
+						columnText = oText;
+					}
+					latestTextNode = document.createTextNode(columnText);
+					appendSafe($putInHere, $(latestTextNode));
+
+					if(oText.length > counter2 && indexOfSpace != -1){
+						oText = oText.substring(indexOfSpace);
+					}else{
+						oText = "";
+					}
+				}
+				if($parentColumn.height() >= targetHeight && latestTextNode !== null){
+					// too tall :(
+					$putInHere[0].removeChild(latestTextNode);
+					oText = latestTextNode.nodeValue + oText;
+				}
+				if(oText.length){
+					$item[0].nodeValue = oText;
+				}else{
+					return false; // we ate the whole text node, move on to the next node
+				}
+			}
+
+			if($pullOutHere.contents().length){
+				$pullOutHere.prepend($item);
+			}else{
+				appendSafe($pullOutHere, $item);
+			}
+
+			return $item[0].nodeType == 3;
+		}
+
+		/**
+		 * Split up an element, which is more complex than splitting text. We need to create 
+		 * two copies of the element with it's contents divided between each
+		 */
+		function split($putInHere, $pullOutHere, $parentColumn, targetHeight){
+			if($putInHere.contents(":last").find(prefixTheClassName("columnbreak", true)).length){
+				//
+				// our column is on a column break, so just end here
+				return;
+			}
+			if($putInHere.contents(":last").hasClass(prefixTheClassName("columnbreak"))){
+				//
+				// our column is on a column break, so just end here
+				return;
+			}
+			if($pullOutHere.contents().length){
+				var $cloneMe = $pullOutHere.contents(":first");
+				//
+				// make sure we're splitting an element
+				if( typeof $cloneMe.get(0) == 'undefined' || $cloneMe.get(0).nodeType != 1 ) return;
+
+				//
+				// clone the node with all data and events
+				var $clone = $cloneMe.clone(true);
+				//
+				// need to support both .prop and .attr if .prop doesn't exist.
+				// this is for backwards compatibility with older versions of jquery.
+				if($cloneMe.hasClass(prefixTheClassName("columnbreak"))){
+					//
+					// ok, we have a columnbreak, so add it into
+					// the column and exit
+					appendSafe($putInHere, $clone);
+					$cloneMe.remove();
+				}else if (manualBreaks){
+					// keep adding until we hit a manual break
+					appendSafe($putInHere, $clone);
+					$cloneMe.remove();
+				}else if($clone.get(0).nodeType == 1 && !$clone.hasClass(prefixTheClassName("dontend"))){
+					appendSafe($putInHere, $clone);
+					if($clone.is("img") && $parentColumn.height() < targetHeight + 20){
+						//
+						// we can't split an img in half, so just add it
+						// to the column and remove it from the pullOutHere section
+						$cloneMe.remove();
+					}else if($cloneMe.hasClass(prefixTheClassName("dontsplit")) && $parentColumn.height() < targetHeight + 20){
+						//
+						// pretty close fit, and we're not allowed to split it, so just
+						// add it to the column, remove from pullOutHere, and be done
+						$cloneMe.remove();
+					}else if($clone.is("img") || $cloneMe.hasClass(prefixTheClassName("dontsplit"))){
+						//
+						// it's either an image that's too tall, or an unsplittable node
+						// that's too tall. leave it in the pullOutHere and we'll add it to the 
+						// next column
+						$clone.remove();
+					}else{
+						//
+						// ok, we're allowed to split the node in half, so empty out
+						// the node in the column we're building, and start splitting
+						// it in half, leaving some of it in pullOutHere
+						$clone.empty();
+						if(!columnize($clone, $cloneMe, $parentColumn, targetHeight)){
+							// this node may still have non-text nodes to split
+							// add the split class and then recur
+							$cloneMe.addClass(prefixTheClassName("split"));
+							
+							//if this node was ol element, the child should continue the number ordering
+							if($cloneMe.get(0).tagName == 'OL'){
+								var startWith = $clone.get(0).childElementCount + $clone.get(0).start;
+								$cloneMe.attr('start',startWith+1);
+							}
+							
+							if($cloneMe.children().length){
+								split($clone, $cloneMe, $parentColumn, targetHeight);
+							}
+						}else{
+							// this node only has text node children left, add the
+							// split class and move on.
+							$cloneMe.addClass(prefixTheClassName("split"));
+						}
+						if($clone.get(0).childNodes.length === 0){
+							// it was split, but nothing is in it :(
+							$clone.remove();
+							$cloneMe.removeClass(prefixTheClassName("split"));
+						}
+					}
+				}
+			}
+		}
+
+
+		function singleColumnizeIt() {
+			if ($inBox.data("columnized") && $inBox.children().length == 1) {
+				return;
+			}
+			$inBox.data("columnized", true);
+			$inBox.data("columnizing", true);
+
+			$inBox.empty();
+			$inBox.append($("<div class='"
+				+ prefixTheClassName("first") + " "
+				+ prefixTheClassName("last") + " "
+				+ prefixTheClassName("column") + " "
+				+ "' style='width:100%; float: " + options.columnFloat + ";'></div>")); //"
+			$col = $inBox.children().eq($inBox.children().length-1);
+			$destroyable = $cache.clone(true);
+			if(options.overflow){
+				targetHeight = options.overflow.height;
+				columnize($col, $destroyable, $col, targetHeight);
+				// make sure that the last item in the column isn't a "dontend"
+				if(!$destroyable.contents().find(":first-child").hasClass(prefixTheClassName("dontend"))){
+					split($col, $destroyable, $col, targetHeight);
+				}
+
+				while($col.contents(":last").length && checkDontEndColumn($col.contents(":last").get(0))){
+					var $lastKid = $col.contents(":last");
+					$lastKid.remove();
+					$destroyable.prepend($lastKid);
+				}
+
+				var html = "";
+				var div = document.createElement('DIV');
+				while($destroyable[0].childNodes.length > 0){
+					var kid = $destroyable[0].childNodes[0];
+					if(kid.attributes){
+						for(var i=0;i<kid.attributes.length;i++){
+							if(kid.attributes[i].nodeName.indexOf("jQuery") === 0){
+								kid.removeAttribute(kid.attributes[i].nodeName);
+							}
+						}
+					}
+					div.innerHTML = "";
+					div.appendChild($destroyable[0].childNodes[0]);
+					html += div.innerHTML;
+				}
+				var overflow = $(options.overflow.id)[0];
+				overflow.innerHTML = html;
+
+			}else{
+				appendSafe($col, $destroyable.contents());
+			}
+			$inBox.data("columnizing", false);
+
+			if(options.overflow && options.overflow.doneFunc){
+				options.overflow.doneFunc();
+			}
+
+		}
+
+		/**
+		 * returns true if the input dom node
+		 * should not end a column.
+		 * returns false otherwise
+		 */
+		function checkDontEndColumn(dom){
+			if(dom.nodeType == 3){
+				// text node. ensure that the text
+				// is not 100% whitespace
+				if(/^\s+$/.test(dom.nodeValue)){
+						//
+						// ok, it's 100% whitespace,
+						// so we should return checkDontEndColumn
+						// of the inputs previousSibling
+						if(!dom.previousSibling) return false;
+					return checkDontEndColumn(dom.previousSibling);
+				}
+				return false;
+			}
+			if(dom.nodeType != 1) return false;
+			if($(dom).hasClass(prefixTheClassName("dontend"))) return true;
+			if(dom.childNodes.length === 0) return false;
+			return checkDontEndColumn(dom.childNodes[dom.childNodes.length-1]);
+		}
+
+		function columnizeIt() {
+			//reset adjustment var
+			adjustment = 0;
+			if(lastWidth == $inBox.width()) return;
+			lastWidth = $inBox.width();
+
+			var numCols = Math.round($inBox.width() / options.width);
+			var optionWidth = options.width;
+			var optionHeight = options.height;
+			if(options.columns) numCols = options.columns;
+			if(manualBreaks){
+				numCols = $cache.find(prefixTheClassName("columnbreak", true)).length + 1;
+				optionWidth = false;
+			}
+
+//			if ($inBox.data("columnized") && numCols == $inBox.children().length) {
+//				return;
+//			}
+			if(numCols <= 1){
+				return singleColumnizeIt();
+			}
+			if($inBox.data("columnizing")) return;
+			$inBox.data("columnized", true);
+			$inBox.data("columnizing", true);
+
+			$inBox.empty();
+			$inBox.append($("<div style='width:" + (Math.floor(100 / numCols))+ "%; float: " + options.columnFloat + ";'></div>")); //"
+			$col = $inBox.children(":last");
+			appendSafe($col, $cache.clone());
+			maxHeight = $col.height();
+			$inBox.empty();
+
+			var targetHeight = maxHeight / numCols;
+			var firstTime = true;
+			var maxLoops = 3;
+			var scrollHorizontally = false;
+			if(options.overflow){
+				maxLoops = 1;
+				targetHeight = options.overflow.height;
+			}else if(optionHeight && optionWidth){
+				maxLoops = 1;
+				targetHeight = optionHeight;
+				scrollHorizontally = true;
+			}
+
+			//
+			// We loop as we try and workout a good height to use. We know it initially as an average 
+			// but if the last column is higher than the first ones (which can happen, depending on split
+			// points) we need to raise 'adjustment'. We try this over a few iterations until we're 'solid'.
+			//
+			// also, lets hard code the max loops to 20. that's /a lot/ of loops for columnizer,
+			// and should keep run aways in check. if somehow someone has content combined with
+			// options that would cause an infinite loop, then this'll definitely stop it.
+			for(var loopCount=0;loopCount<maxLoops && loopCount<20;loopCount++){
+				$inBox.empty();
+				var $destroyable, className, $col, $lastKid;
+				try{
+					$destroyable = $cache.clone(true);
+				}catch(e){
+					// jquery in ie6 can't clone with true
+					$destroyable = $cache.clone();
+				}
+				$destroyable.css("visibility", "hidden");
+				// create the columns
+				for (var i = 0; i < numCols; i++) {
+					/* create column */
+					className = (i === 0) ? prefixTheClassName("first") : "";
+					className += " " + prefixTheClassName("column");
+					className = (i == numCols - 1) ? (prefixTheClassName("last") + " " + className) : className;
+					$inBox.append($("<div class='" + className + "' style='width:" + (Math.floor(100 / numCols))+ "%; float: " + options.columnFloat + ";'></div>")); //"
+				}
+
+				// fill all but the last column (unless overflowing)
+				i = 0;
+				while(i < numCols - (options.overflow ? 0 : 1) || scrollHorizontally && $destroyable.contents().length){
+					if($inBox.children().length <= i){
+						// we ran out of columns, make another
+						$inBox.append($("<div class='" + className + "' style='width:" + (Math.floor(100 / numCols))+ "%; float: " + options.columnFloat + ";'></div>")); //"
+					}
+					$col = $inBox.children().eq(i);
+					if(scrollHorizontally){
+						$col.width(optionWidth + "px");
+					}
+					columnize($col, $destroyable, $col, targetHeight);
+					// make sure that the last item in the column isn't a "dontend"
+					split($col, $destroyable, $col, targetHeight);
+
+					while($col.contents(":last").length && checkDontEndColumn($col.contents(":last").get(0))){
+						$lastKid = $col.contents(":last");
+						$lastKid.remove();
+						$destroyable.prepend($lastKid);
+					}
+					i++;
+
+					//
+					// https://github.com/adamwulf/Columnizer-jQuery-Plugin/issues/47
+					//
+					// check for infinite loop.
+					//
+					// this could happen when a dontsplit or dontend item is taller than the column
+					// we're trying to build, and its never actually added to a column.
+					//
+					// this results in empty columns being added with the dontsplit item
+					// perpetually waiting to get put into a column. lets force the issue here
+					if($col.contents().length === 0 && $destroyable.contents().length){
+						//
+						// ok, we're building zero content columns. this'll happen forever
+						// since nothing can ever get taken out of destroyable.
+						//
+						// to fix, lets put 1 item from destroyable into the empty column
+						// before we iterate
+						$col.append($destroyable.contents(":first"));
+					}else if(i == numCols - (options.overflow ? 0 : 1) && !options.overflow){
+						//
+						// ok, we're about to exit the while loop because we're done with all
+						// columns except the last column.
+						//
+						// if $destroyable still has columnbreak nodes in it, then we need to keep
+						// looping and creating more columns.
+						if($destroyable.find(prefixTheClassName("columnbreak", true)).length){
+							numCols ++;
+						}
+					}
+				}
+				if(options.overflow && !scrollHorizontally){
+					var IE6 = false /*@cc_on || @_jscript_version < 5.7 @*/;
+					var IE7 = (document.all) && (navigator.appVersion.indexOf("MSIE 7.") != -1);
+					if(IE6 || IE7){
+						var html = "";
+						var div = document.createElement('DIV');
+						while($destroyable[0].childNodes.length > 0){
+							var kid = $destroyable[0].childNodes[0];
+							for(i=0;i<kid.attributes.length;i++){
+								if(kid.attributes[i].nodeName.indexOf("jQuery") === 0){
+									kid.removeAttribute(kid.attributes[i].nodeName);
+								}
+							}
+							div.innerHTML = "";
+							div.appendChild($destroyable[0].childNodes[0]);
+							html += div.innerHTML;
+						}
+						var overflow = $(options.overflow.id)[0];
+						overflow.innerHTML = html;
+					}else{
+						$(options.overflow.id).empty().append($destroyable.contents().clone(true));
+					}
+				}else if(!scrollHorizontally){
+					// the last column in the series
+					$col = $inBox.children().eq($inBox.children().length-1);
+					$destroyable.contents().each( function() {
+						$col.append( $(this) );
+					});
+					var afterH = $col.height();
+					var diff = afterH - targetHeight;
+					var totalH = 0;
+					var min = 10000000;
+					var max = 0;
+					var lastIsMax = false;
+					var numberOfColumnsThatDontEndInAColumnBreak = 0;
+					$inBox.children().each(function($inBox){ return function($item){
+						var $col = $inBox.children().eq($item);
+						var endsInBreak = $col.children(":last").find(prefixTheClassName("columnbreak", true)).length;
+						if(!endsInBreak){
+							var h = $col.height();
+							lastIsMax = false;
+							totalH += h;
+							if(h > max) {
+								max = h;
+								lastIsMax = true;
+							}
+							if(h < min) min = h;
+							numberOfColumnsThatDontEndInAColumnBreak++;
+						}
+					};
+				}($inBox));
+
+					var avgH = totalH / numberOfColumnsThatDontEndInAColumnBreak;
+					if(totalH === 0){
+						//
+						// all columns end in a column break,
+						// so we're done here
+						loopCount = maxLoops;
+					}else if(options.lastNeverTallest && lastIsMax){
+						// the last column is the tallest
+						// so allow columns to be taller
+						// and retry
+						//
+						// hopefully this'll mean more content fits into
+						// earlier columns, so that the last column
+						// can be shorter than the rest
+						adjustment += 5;
+
+						targetHeight = targetHeight + 30;
+						if(loopCount == maxLoops-1) maxLoops++;
+					}else if(max - min > 30){
+						// too much variation, try again
+						targetHeight = avgH + 30;
+					}else if(Math.abs(avgH-targetHeight) > 20){
+						// too much variation, try again
+						targetHeight = avgH;
+					}else {
+						// solid, we're done
+						loopCount = maxLoops;
+					}
+				}else{
+					// it's scrolling horizontally, fix the width/classes of the columns
+					$inBox.children().each(function(i){
+						$col = $inBox.children().eq(i);
+						$col.width(optionWidth + "px");
+						if(i === 0){
+							$col.addClass(prefixTheClassName("first"));
+						}else if(i==$inBox.children().length-1){
+							$col.addClass(prefixTheClassName("last"));
+						}else{
+							$col.removeClass(prefixTheClassName("first"));
+							$col.removeClass(prefixTheClassName("last"));
+						}
+					});
+					$inBox.width($inBox.children().length * optionWidth + "px");
+				}
+				$inBox.append($("<br style='clear:both;'>"));
+			}
+			$inBox.find(prefixTheClassName("column", true)).find(":first" + prefixTheClassName("removeiffirst", true)).remove();
+			$inBox.find(prefixTheClassName("column", true)).find(':last' + prefixTheClassName("removeiflast", true)).remove();
+			$inBox.find(prefixTheClassName("split", true)).find(":first" + prefixTheClassName("removeiffirst", true)).remove();
+			$inBox.find(prefixTheClassName("split", true)).find(':last' + prefixTheClassName("removeiflast", true)).remove();
+			$inBox.data("columnizing", false);
+
+			if(options.overflow){
+				options.overflow.doneFunc();
+			}
+			options.doneFunc();
+		}
+    });
+ };
+})(jQuery);
Index: /extensions/PwgCarbon_dft/local_head.tpl
===================================================================
--- /extensions/PwgCarbon_dft/local_head.tpl	(revision 25993)
+++ /extensions/PwgCarbon_dft/local_head.tpl	(revision 25994)
@@ -1,1 +1,4 @@
 {combine_script id='reflection' load='header' require='jquery' path='themes/PwgCarbon_dft/js/reflection.js'}
+{combine_script id='menu' load='header' require='jquery' path='themes/PwgCarbon_dft/js/menu.js'}
+{combine_script id='hoverIntent' load='header' require='jquery' path='themes/PwgCarbon_dft/js/jquery.hoverIntent.minified.js'}
+{combine_script id='columnizer' load='footer' require='jquery' path='themes/PwgCarbon_dft/js/jquery.columnizer.js'}
Index: /extensions/PwgCarbon_dft/template/header.tpl
===================================================================
--- /extensions/PwgCarbon_dft/template/header.tpl	(revision 25993)
+++ /extensions/PwgCarbon_dft/template/header.tpl	(revision 25994)
@@ -57,7 +57,4 @@
 	{/foreach}
 {/if}
-{combine_script id='menu' load='header' require='jquery' path='themes/PwgCarbon_dft/js/menu.js'}
-{combine_script id='hoverIntent' load='header' require='jquery' path='themes/PwgCarbon_dft/js/jquery.hoverIntent.minified.js'}
-{combine_script id='columnizer' load='header' require='jquery' path='themes/PwgCarbon_dft/js/columnizer.js'}
 </head>
 
Index: /extensions/PwgCarbon_dft/template/index.tpl
===================================================================
--- /extensions/PwgCarbon_dft/template/index.tpl	(revision 25993)
+++ /extensions/PwgCarbon_dft/template/index.tpl	(revision 25994)
@@ -1,2 +1,3 @@
+{combine_script id='core.switchbox' load='async' require='jquery' path='themes/default/js/switchbox.js'}
 {$MENUBAR}
 
@@ -10,5 +11,5 @@
 {if !empty($image_orders)}
 		<li>{strip}<a id="sortOrderLink" title="{'Sort order'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-			<span class="pwg-icon pwg-icon-sort">&nbsp;</span><span class="pwg-button-text">{'Sort order'|@translate}</span>
+			<span class="pwg-icon pwg-icon-sort"></span><span class="pwg-button-text">{'Sort order'|@translate}</span>
 		</a>
 		<div id="sortOrderBox" class="switchBox">
@@ -23,9 +24,10 @@
 		</div>
 
+		{footer_script}(SwitchBox=window.SwitchBox||[]).push("#sortOrderLink", "#sortOrderBox");{/footer_script}
 		{/strip}</li>
 {/if}
 {if !empty($image_derivatives)}
 		<li>{strip}<a id="derivativeSwitchLink" title="{'Photo sizes'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-			<span class="pwg-icon pwg-icon-sizes">&nbsp;</span><span class="pwg-button-text">{'Photo sizes'|@translate}</span>
+			<span class="pwg-icon pwg-icon-sizes"></span><span class="pwg-button-text">{'Photo sizes'|@translate}</span>
 		</a>
 		<div id="derivativeSwitchBox" class="switchBox">
@@ -40,20 +42,21 @@
 		</div>
 
+		{footer_script}(SwitchBox=window.SwitchBox||[]).push("#derivativeSwitchLink", "#derivativeSwitchBox");{/footer_script}
 		{/strip}</li>
 {/if}
 
 {if isset($favorite)}
-		<li><a href="{$favorite.U_FAVORITE}" title="{'delete all photos from your favorites'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-			<span class="pwg-icon pwg-icon-favorite-del">&nbsp;</span><span class="pwg-button-text">{'delete all photos from your favorites'|@translate}</span>
+		<li id="cmdFavorite"><a href="{$favorite.U_FAVORITE}" title="{'delete all photos from your favorites'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-favorite-del"></span><span class="pwg-button-text">{'delete all photos from your favorites'|@translate}</span>
 		</a></li>
 {/if}
 {if isset($U_CADDIE)}
-		<li><a href="{$U_CADDIE}" title="{'Add to caddie'|@translate}" class="pwg-state-default pwg-button">
-			<span class="pwg-icon pwg-icon-caddie-add">&nbsp;</span><span class="pwg-button-text">{'Caddie'|@translate}</span>
+		<li id="cmdCaddie"><a href="{$U_CADDIE}" title="{'Add to caddie'|@translate}" class="pwg-state-default pwg-button">
+			<span class="pwg-icon pwg-icon-caddie-add"></span><span class="pwg-button-text">{'Caddie'|@translate}</span>
 		</a></li>
 {/if}
 {if isset($U_EDIT)}
-		<li><a href="{$U_EDIT}" title="{'Edit album'|@translate}" class="pwg-state-default pwg-button">
-			<span class="pwg-icon pwg-icon-category-edit">&nbsp;</span><span class="pwg-button-text">{'Edit'|@translate}</span>
+		<li id="cmdEditAlbum"><a href="{$U_EDIT}" title="{'Edit album'|@translate}" class="pwg-state-default pwg-button">
+			<span class="pwg-icon pwg-icon-category-edit"></span><span class="pwg-button-text">{'Edit'|@translate}</span>
 		</a></li>
 {/if}
@@ -61,32 +64,34 @@
 		{combine_script id='core.scripts' load='async' path='themes/default/js/scripts.js'}
 		<li><a href="{$U_SEARCH_RULES}" onclick="popuphelp(this.href); return false;" title="{'Search rules'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-			<span class="pwg-icon pwg-icon-help">&nbsp;</span><span class="pwg-button-text">(?)</span>
+			<span class="pwg-icon pwg-icon-help"></span><span class="pwg-button-text">(?)</span>
 		</a></li>
 {/if}
 {if isset($U_SLIDESHOW)}
-		<li>{strip}<a href="{$U_SLIDESHOW}" title="{'slideshow'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-			<span class="pwg-icon pwg-icon-slideshow">&nbsp;</span><span class="pwg-button-text">{'slideshow'|@translate}</span>
+		<li id="cmdSlideshow">{strip}<a href="{$U_SLIDESHOW}" title="{'slideshow'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-slideshow"></span><span class="pwg-button-text">{'slideshow'|@translate}</span>
 		</a>{/strip}</li>
 {/if}
 {if isset($U_MODE_FLAT)}
 		<li>{strip}<a href="{$U_MODE_FLAT}" title="{'display all photos in all sub-albums'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-			<span class="pwg-icon pwg-icon-category-view-flat">&nbsp;</span><span class="pwg-button-text">{'display all photos in all sub-albums'|@translate}</span>
+			<span class="pwg-icon pwg-icon-category-view-flat"></span><span class="pwg-button-text">{'display all photos in all sub-albums'|@translate}</span>
 		</a>{/strip}</li>
 {/if}
 {if isset($U_MODE_NORMAL)}
 		<li>{strip}<a href="{$U_MODE_NORMAL}" title="{'return to normal view mode'|@translate}" class="pwg-state-default pwg-button">
-			<span class="pwg-icon pwg-icon-category-view-normal">&nbsp;</span><span class="pwg-button-text">{'return to normal view mode'|@translate}</span>
+			<span class="pwg-icon pwg-icon-category-view-normal"></span><span class="pwg-button-text">{'return to normal view mode'|@translate}</span>
 		</a>{/strip}</li>
 {/if}
 {if isset($U_MODE_POSTED)}
 		<li>{strip}<a href="{$U_MODE_POSTED}" title="{'display a calendar by posted date'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-			<span class="pwg-icon pwg-icon-calendar">&nbsp;</span><span class="pwg-button-text">{'Calendar'|@translate}</span>
+			<span class="pwg-icon pwg-icon-calendar"></span><span class="pwg-button-text">{'Calendar'|@translate}</span>
 		</a>{/strip}</li>
 {/if}
 {if isset($U_MODE_CREATED)}
 		<li>{strip}<a href="{$U_MODE_CREATED}" title="{'display a calendar by creation date'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-			<span class="pwg-icon pwg-icon-camera-calendar">&nbsp;</span><span class="pwg-button-text">{'Calendar'|@translate}</span>
+			<span class="pwg-icon pwg-icon-camera-calendar"></span><span class="pwg-button-text">{'Calendar'|@translate}</span>
 		</a>{/strip}</li>
 {/if}
+
+{if !empty($PLUGIN_INDEX_BUTTONS)}{foreach from=$PLUGIN_INDEX_BUTTONS item=button}<li>{$button}</li>{/foreach}{/if}
 {if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
 	</ul>
@@ -98,9 +103,15 @@
 {if isset($chronology_views)}
 <div class="calendarViews">{'View'|@translate}:
-	<select onchange="document.location = this.options[this.selectedIndex].value;">
-		{foreach from=$chronology_views item=view}
-		<option value="{$view.VALUE}"{if $view.SELECTED} selected="selected"{/if}>{$view.CONTENT}</option>
+
+	<a id="calendarViewSwitchLink" href="#">
+	{foreach from=$chronology_views item=view}{if $view.SELECTED}{$view.CONTENT}{/if}{/foreach}
+	</a>
+	<div id="calendarViewSwitchBox" class="switchBox">
+		{foreach from=$chronology_views item=view name=loop}{if !$smarty.foreach.loop.first}<br>{/if}
+		<span{if !$view.SELECTED} style="visibility:hidden"{/if}>&#x2714; </span><a href="{$view.VALUE}">{$view.CONTENT}</a>
 		{/foreach}
-	</select>
+
+	</div>
+	{footer_script}(SwitchBox=window.SwitchBox||[]).push("#calendarViewSwitchLink", "#calendarViewSwitchBox");{/footer_script}
 </div>
 {/if}
@@ -118,5 +129,5 @@
 
 {if !empty($category_search_results)}
-<div style="font-size:16px;margin:10px 16px">{'Album results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+<div class="category_search_results" style="font-size:16px;margin:10px 16px">{'Album results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
 	<em><strong>
 	{foreach from=$category_search_results item=res name=res_loop}
@@ -129,5 +140,5 @@
 
 {if !empty($tag_search_results)}
-<div style="font-size:16px;margin:10px 16px">{'Tag results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+<div class="tag_search_results" style="font-size:16px;margin:10px 16px">{'Tag results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
 	<em><strong>
 	{foreach from=$tag_search_results item=res name=res_loop}
@@ -149,4 +160,5 @@
 {/if}
 
+{if !empty($CONTENT)}{$CONTENT}{/if}
 {if !empty($CATEGORIES)}{$CATEGORIES}{/if}
 {if !empty($cats_navbar)}
@@ -155,4 +167,5 @@
 
 {if !empty($THUMBNAILS)}
+<div class="loader"><img src="{$ROOT_URL}{$themeconf.img_dir}/ajax_loader.gif"></div>
 <ul class="thumbnails" id="thumbnails">
 {$THUMBNAILS}
Index: /extensions/PwgCarbon_dft/template/menubar_categories.tpl
===================================================================
--- /extensions/PwgCarbon_dft/template/menubar_categories.tpl	(revision 25993)
+++ /extensions/PwgCarbon_dft/template/menubar_categories.tpl	(revision 25994)
@@ -1,51 +1,44 @@
-	<span class="dd_wrapper">{'Categories'|@translate}</span>
+<span class="dd_wrapper">{'Albums'|@translate}</span>
 	
-		<div class="sub" style="width:700px">
-		{assign var='ref_level' value=0}
-			<div id="menu_cat_act">
-				<div id="nbImg">
-			<p class="totalImages">{$pwg->l10n_dec('%d image', '%d images', $block->data.NB_PICTURE)}</p>
-				</div>
-				<div id="filter">
-					{if isset($U_START_FILTER)}
-						<a href="{$U_START_FILTER}" class="pwg-state-default pwg-button menubarFilter" title="{'display only recently posted photos'|@translate}" rel="nofollow">
-						<span class="pwg-icon pwg-icon-filter"> </span>
-						</a>
-					{/if}
-					{if isset($U_STOP_FILTER)}
-					<a href="{$U_STOP_FILTER}" class="pwg-state-default pwg-button menubarFilter" title="{'return to the display of all photos'|@translate}"><span
-					class="pwg-icon pwg-icon-filter-del"> </span></a>
-					{/if}
-				</div>
-
-			</div>
+<div class="sub" style="width:700px">
+	<div id="menu_cat_act">
+		<div id="nbImg">
+			<p class="totalImages">{$block->data.NB_PICTURE|@translate_dec:'%d photo':'%d photos'}</p>
+		</div>
+		<div id="filter">
+			{if isset($U_START_FILTER)}
+			<a href="{$U_START_FILTER}" class="pwg-state-default pwg-button menubarFilter" title="{'display only recently posted photos'|@translate}" rel="nofollow">
+				<span class="pwg-icon pwg-icon-filter"> </span>
+			</a>
+			{/if}
+			
+			{if isset($U_STOP_FILTER)}
+				<a href="{$U_STOP_FILTER}" class="pwg-state-default pwg-button menubarFilter" title="{'return to the display of all photos'|@translate}">
+				<span class="pwg-icon pwg-icon-filter-del"> </span>
+				</a>
+			{/if}
+		</div>
+	</div>
+	<div class="mcol">
+	{assign var='ref_level' value=0}	
+	{foreach from=$block->data.MENU_CATEGORIES item=cat}
+		{if $cat.LEVEL > $ref_level}
+			<ul>
+		{else}
+			</li>
+			{'</ul></li>'|@str_repeat:($ref_level-$cat.LEVEL)}
+		{/if}
+			<li {if $cat.SELECTED}class="selected dontsplit"{/if}class="level{$cat.LEVEL} dontsplit">
+				<a href="{$cat.URL}" {if $cat.IS_UPPERCAT}rel="up"{/if} title="{$cat.TITLE}" >{$cat.NAME}</a>
+				{if $cat.count_images > 0}
+					<span class="{if $cat.nb_images > 0}menuInfoCat{else}menuInfoCatByChild{/if}" title="{$cat.TITLE}">[{$cat.count_images}]</span>
+				{/if}
 				
-				
-				{foreach from=$block->data.MENU_CATEGORIES item=cat}
-				{if $cat.LEVEL > $ref_level}
-				<ul class="mcol">
-				{else}
-
-						</li>
-							{'</ul></li>'|@str_repeat:$ref_level-$cat.LEVEL}
-						  {/if}
-						   <li {if $cat.SELECTED}class="selected"{/if}class="level{$cat.LEVEL}">
-						   <a href="{$cat.URL}" {if $cat.IS_UPPERCAT}rel="up"{/if} title="{$cat.TITLE}" >{$cat.NAME}   [{$cat.count_images}] </a>
-						  {assign var='ref_level' value=$cat.LEVEL}
-						{/foreach}
-					{'</li></ul>'|@str_repeat:$ref_level}	
-
-						{if isset($block->data.U_UPLOAD)}
-						
-					<ul>
-						
-							<li>
-								<a href="{$block->data.U_UPLOAD}">{'Upload a picture'|@translate}</a>
-							</li>
-
-					</ul>
-						
-					{/if}
-		
-
-		</div>
+				{if !empty($cat.icon_ts)}
+					<img title="{$cat.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent{if $cat.icon_ts.IS_CHILD_DATE}_by_child{/if}.png" class="icon" alt="(!)">
+				{/if}
+		{assign var='ref_level' value=$cat.LEVEL}
+	{/foreach}
+	{'</li></ul>'|@str_repeat:$ref_level}	
+	</div>
+</div>
Index: /extensions/PwgCarbon_dft/template/picture.tpl
===================================================================
--- /extensions/PwgCarbon_dft/template/picture.tpl	(revision 25993)
+++ /extensions/PwgCarbon_dft/template/picture.tpl	(revision 25994)
@@ -1,32 +1,9 @@
-{* Example of resizeable *}
-{*
-{include file='include/autosize.inc.tpl'}
-*}
-
+{combine_script id='core.switchbox' load='async' require='jquery' path='themes/default/js/switchbox.js'}
 {combine_script id='tinyscrollbar' load='header' require='jquery' path='themes/PwgCarbon_dft/js/tinyscrollbar.js'}
 
-
-
-{if isset($MENUBAR)}{$MENUBAR}{/if}
-{if isset($errors)}
-<div class="errors">
-  <ul>
-    {foreach from=$errors item=error}
-    <li>{$error}</li>
-    {/foreach}
-  </ul>
-</div>
-{/if}
-
-
-
-{if isset($infos)}
-<div class="infos">
-  <ul>
-    {foreach from=$infos item=info}
-    <li>{$info}</li>
-    {/foreach}
-  </ul>
-</div>
+ {if isset($MENUBAR)}{$MENUBAR}{/if}
+ 
+{if isset($errors) or not empty($infos)}
+{include file='infos_errors.tpl'}
 {/if}
 
@@ -34,17 +11,12 @@
 
 <div id="imageHeaderBar">
-  <div class="browsePath">
-    {$SECTION_TITLE}
-    {$LEVEL_SEPARATOR}{$current.TITLE}
-  </div>
+	<div class="browsePath">
+		{$SECTION_TITLE}<span class="browsePathSeparator">{$LEVEL_SEPARATOR}</span>{$current.TITLE}
+	</div>
   <div class="imageNumber"> {$PHOTO}</div>
 
 </div>
 
-
-
 <div id="theImage">
-
-
 	<div id="imgContainer">
 
@@ -75,9 +47,17 @@
 			
 			{if $comment_add.SHOW_AUTHOR}
-				<label>{'Author'|@translate}<input type="text" name="author"></label>
-			{/if}
-				<label class="addcom"><textarea name="content" id="contentid" rows="6" cols="100">{$comment_add.CONTENT}</textarea></label>
-				<input type="hidden" name="key" value="{$comment_add.KEY}">
-				<input type="submit" value="{'Submit'|@translate}">
+					<p><label for="author">{'Author'|@translate}{if $comment_add.AUTHOR_MANDATORY} ({'mandatory'|@translate}){/if} :</label></p>
+					<p><input type="text" name="author" id="author" value="{$comment_add.AUTHOR}"></p>
+				{/if}
+				{if $comment_add.SHOW_EMAIL}
+					<p><label for="email">{'Email'|@translate}{if $comment_add.EMAIL_MANDATORY} ({'mandatory'|@translate}){/if} :</label></p>
+					<p><input type="text" name="email" id="email" value="{$comment_add.EMAIL}"></p>
+				{/if}
+				<p><label for="website_url">{'Website'|@translate} :</label></p>
+				<p><input type="text" name="website_url" id="website_url" value="{$comment_add.WEBSITE_URL}"></p>
+				<p><label for="contentid">{'Comment'|@translate} ({'mandatory'|@translate}) :</label></p>
+				<p><textarea name="content" id="contentid" rows="5" cols="50">{$comment_add.CONTENT}</textarea></p>
+				<p><input type="hidden" name="key" value="{$comment_add.KEY}">
+					<input type="submit" value="{'Submit'|@translate}"></p>
 		</fieldset>
 	</form>
@@ -120,17 +100,10 @@
 </p>
 {/if}
-
-
-
-
-
-
-
-
 <div class="panel">
 
 <div id="imageToolBar">
+
 <div class="actionButtons">
-{if count($current.unique_derivatives)>1}
+{if isset($current.unique_derivatives) && count($current.unique_derivatives)>1}
 {footer_script require='jquery'}{literal}
 function changeImgSrc(url,typeSave,typeMap)
@@ -144,23 +117,16 @@
 	}
 	jQuery('#derivativeSwitchBox .switchCheck').css('visibility','hidden');
-	jQuery('#derivativeChecked'+typeSave).css('visibility','visible');
+	jQuery('#derivativeChecked'+typeMap).css('visibility','visible');
 	document.cookie = 'picture_deriv='+typeSave+';path={/literal}{$COOKIE_PATH}{literal}';
 }
-jQuery("#derivativeSwitchLink").click(function() {
-	var elt = jQuery("#derivativeSwitchBox");
-	elt.css("left", Math.min( jQuery(this).offset().left, jQuery(window).width() - elt.outerWidth(true) - 5))
-		.toggle();
-});
-jQuery("#derivativeSwitchBox").on("mouseleave click", function() {
-	jQuery(this).hide();
-});
+(SwitchBox=window.SwitchBox||[]).push("#derivativeSwitchLink", "#derivativeSwitchBox");
 {/literal}{/footer_script}
 {strip}<a id="derivativeSwitchLink" title="{'Photo sizes'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-  <span class="pwg-icon pwg-icon-sizes">&nbsp;</span><span class="pwg-button-text">{'Photo sizes'|@translate}</span>
+  <span class="pwg-icon pwg-icon-sizes"></span><span class="pwg-button-text">{'Photo sizes'|@translate}</span>
 </a>
 <div id="derivativeSwitchBox" class="switchBox">
   <div class="switchBoxTitle">{'Photo sizes'|@translate}</div>
   {foreach from=$current.unique_derivatives item=derivative key=derivative_type}
-  <span class="switchCheck" id="derivativeChecked{$derivative_type}"{if $derivative->get_type() ne $current.selected_derivative->get_type()} style="visibility:hidden"{/if}>&#x2714; </span>
+  <span class="switchCheck" id="derivativeChecked{$derivative->get_type()}"{if $derivative->get_type() ne $current.selected_derivative->get_type()} style="visibility:hidden"{/if}>&#x2714; </span>
   <a href="javascript:changeImgSrc('{$derivative->get_url()|@escape:javascript}','{$derivative_type}','{$derivative->get_type()}')">
     {$derivative->get_type()|@translate}<span class="derivativeSizeDetails"> ({$derivative->get_size_hr()})</span>
@@ -168,4 +134,5 @@
   {/foreach}
   {if isset($U_ORIGINAL)}
+    {combine_script id='core.scripts' load='async' path='themes/default/js/scripts.js'}
   <a href="javascript:phpWGOpenWindow('{$U_ORIGINAL}','xxx','scrollbars=yes,toolbar=no,status=no,resizable=yes')" rel="nofollow">{'Original'|@translate}</a>
   {/if}
@@ -175,31 +142,32 @@
 {strip}{if isset($U_SLIDESHOW_START)}
 	<a href="{$U_SLIDESHOW_START}" title="{'slideshow'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-		<span class="pwg-icon pwg-icon-slideshow"> </span><span class="pwg-button-text">{'slideshow'|@translate}</span>
+		<span class="pwg-icon pwg-icon-slideshow"></span><span class="pwg-button-text">{'slideshow'|@translate}</span>
 	</a>
 {/if}{/strip}
 {strip}{if isset($U_METADATA)}
 	<a href="{$U_METADATA}" title="{'Show file metadata'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-		<span class="pwg-icon pwg-icon-camera-info"> </span><span class="pwg-button-text">{'Show file metadata'|@translate}</span>
+		<span class="pwg-icon pwg-icon-camera-info"></span><span class="pwg-button-text">{'Show file metadata'|@translate}</span>
 	</a>
 {/if}{/strip}
 {strip}{if isset($current.U_DOWNLOAD)}
 	<a href="{$current.U_DOWNLOAD}" title="{'Download this file'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-		<span class="pwg-icon pwg-icon-save"> </span><span class="pwg-button-text">{'Download'|@translate}</span>
-	</a>
-{/if}{/strip}
+		<span class="pwg-icon pwg-icon-save"></span><span class="pwg-button-text">{'Download'|@translate}</span>
+	</a>
+{/if}{/strip}
+{if isset($PLUGIN_PICTURE_BUTTONS)}{foreach from=$PLUGIN_PICTURE_BUTTONS item=button}{$button}{/foreach}{/if}
 {if isset($PLUGIN_PICTURE_ACTIONS)}{$PLUGIN_PICTURE_ACTIONS}{/if}
 {strip}{if isset($favorite)}
 	<a href="{$favorite.U_FAVORITE}" title="{if $favorite.IS_FAVORITE}{'delete this photo from your favorites'|@translate}{else}{'add this photo to your favorites'|@translate}{/if}" class="pwg-state-default pwg-button" rel="nofollow">
-		<span class="pwg-icon pwg-icon-favorite-{if $favorite.IS_FAVORITE}del{else}add{/if}"> </span><span class="pwg-button-text">{'Favorites'|@translate}</span>
+		<span class="pwg-icon pwg-icon-favorite-{if $favorite.IS_FAVORITE}del{else}add{/if}"></span><span class="pwg-button-text">{'Favorites'|@translate}</span>
 	</a>
 {/if}{/strip}
 {strip}{if isset($U_SET_AS_REPRESENTATIVE)}
-	<a href="{$U_SET_AS_REPRESENTATIVE}" title="{'set as album representative'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-		<span class="pwg-icon pwg-icon-representative"> </span><span class="pwg-button-text">{'representative'|@translate}</span>
-	</a>
-{/if}{/strip}
-{strip}{if isset($U_ADMIN)}
-	<a href="{$U_ADMIN}" title="{'Modify information'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-		<span class="pwg-icon pwg-icon-edit"> </span><span class="pwg-button-text">{'Edit'|@translate}</span>
+	<a id="cmdSetRepresentative" href="{$U_SET_AS_REPRESENTATIVE}" title="{'set as album representative'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+		<span class="pwg-icon pwg-icon-representative"></span><span class="pwg-button-text">{'representative'|@translate}</span>
+	</a>
+{/if}{/strip}
+{strip}{if isset($U_PHOTO_ADMIN)}
+	<a id="cmdEditPhoto" href="{$U_PHOTO_ADMIN}" title="{'Modify information'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+		<span class="pwg-icon pwg-icon-edit"></span><span class="pwg-button-text">{'Edit'|@translate}</span>
 	</a>
 {/if}{/strip}
Index: /extensions/PwgCarbon_dft/theme.css
===================================================================
--- /extensions/PwgCarbon_dft/theme.css	(revision 25993)
+++ /extensions/PwgCarbon_dft/theme.css	(revision 25994)
@@ -37,5 +37,5 @@
 H2{color:#FFF;background-image:url(images/border_dt.png);background-repeat:repeat-x;background-position:center bottom;height:25px;margin:0 5px 5px;padding:5px 0 0}
 #fullTagCloud{background:url(images/bg_content.png) repeat scroll 0 0 transparent;min-height:500px}
-.switchBox{background-color:gray;z-index:1000;margin-top:30px}
+.switchBox{background-color:gray;z-index:1000;margin-top:4px}
 #sortOrderBox{width:250px}
 
@@ -76,5 +76,5 @@
 #topnav{margin:0;padding:0 2px 0 0;list-style:none;height:30px;position:relative;z-index:999;display:inline-block}
 #topnav .liSub{float:left;position:relative;background:url(images/menu/li_border.png) no-repeat right top;padding-right:2px}
-#topnav .sub, #topnav #loger{position:absolute;top:30px;margin-left:0;background:#FFF;padding:5px 8px 10px 5px;float:left;max-width:100em;min-width:200px;display:none;max-height:500px;overflow:auto;border-bottom-right-radius:10px;border-bottom-left-radius:10px;box-shadow:0px 0px 5px #5A5A5A;z-index:100}
+ul#topnav li .sub,ul#topnav li #loger{background:#FFF;position:absolute;top:30px;margin-left:0;padding:5px 8px 10px;float:left;max-width:100em;min-width:200px;max-height:500px;overflow:auto;border-bottom-right-radius:10px;border-bottom-left-radius:10px;box-shadow:0px 0px 5px #5A5A5A;z-index:0}
 #topnav #loger{z-index:50}
 .sub{z-index:100;max-width:600px}
@@ -85,5 +85,5 @@
 ul#topnav .sub ul li.selected a{background:url(images/menu/navlist_arrow_hover.png) no-repeat 0 5px;color:#4C4C4C;text-decoration:none;border:none}
 ul#topnav .sub ul .level1 li,ul#topnav .sub ul .level1 li .selected{border:none;background:none}
-ul#topnav .sub ul li a,ul#topnav #loger ul li a{float:none;text-indent:0;height:auto;background:url(images/menu/navlist_arrow.png) no-repeat 0 5px;margin:0 8px;display:block;text-decoration:none;color:#757575;font-size:1.1em;text-shadow:none;text-transform:none;line-height:17px;padding:0 0 0 12px}
+ul#topnav .sub ul li a,ul#topnav #loger ul li a{float:none;text-indent:0;height:auto;background:url(images/menu/navlist_arrow.png) no-repeat 0 5px;margin:0 8px;display:inline;text-decoration:none;color:#757575;font-size:1.1em;text-shadow:none;text-transform:none;line-height:17px;padding:0 0 0 12px}
 ul#topnav .sub ul li a:hover,ul#topnav .sub #menuTagCloud div a:hover{color:#c4c4c4;background:url(images/menu/navlist_arrow_hover.png) no-repeat 0 5px}
 ul#topnav li .sub ul,ul#topnav #loger ul{list-style:none outside none;margin:0 5px 0 8px;padding:0}
@@ -123,5 +123,5 @@
 #imageHeaderBar{margin:0 0 20px;padding:50px 0 0}
 #groupbuttons{margin:auto;width:200px}
-#slideshow #groupbuttons{width:30px}
+#slideshow #groupbuttons{width:auto}
 #imgContainer{position:relative;margin-left:auto;margin-right:auto;text-align:left}
 #imgContent{position:relative;display:table;margin:auto}
@@ -137,4 +137,5 @@
 .linkNext{position:absolute;right:-80px;top:40%}
 .imageNumber{text-align:right;margin-right:20px}
+.showtitle{background:none}
 
 /*=========================================comment on picture page======================================================*/
@@ -184,7 +185,9 @@
 .infoTable .value a,.infoTable .value,.infoTable2 .value a,.infoTable2 .value{color:silver}
 TABLE#Metadata th{font-size:120%;color:#FFF;padding-bottom:10px;text-align:left}
-.panel .switchBox{top:60px}
+.panel .switchBox{top:30px}
 
 /*======================================================plugin======================================================*/
 .contact-form-content{background:url(images/bg_content.png) repeat scroll 0 0 transparent}
 #mbContact dd{padding:0!important}
+
+
Index: /extensions/PwgCarbon_dft/themeconf.inc.php
===================================================================
--- /extensions/PwgCarbon_dft/themeconf.inc.php	(revision 25993)
+++ /extensions/PwgCarbon_dft/themeconf.inc.php	(revision 25994)
@@ -2,5 +2,5 @@
 /*
 Theme Name: PwgCarbon_dft
-Version: auto
+Version: 1.5
 Description: theme PwgCarbon_dft pour Piwigo.
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=639
